package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 课酬结算状态枚举
 */
public enum TeacherSalaryEnum implements BaseEnum<String, TeacherSalaryEnum> {
    //未上课-还未开始上课等待上课结束后结算
    NOT_START("NOT_START", "未上课"),
    //待结算-老师上完课等待结算
    WAIT("WAIT", "待结算"),
    //已结算-已经结算完成
    COMPLETE("COMPLETE", "已结算"),
    //已取消-学生发起退款等等其他操作
    CANCEL("CANCEL", "已取消");

    @EnumValue
    private String code;

    private String msg;

    TeacherSalaryEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
